from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class PrintableState(IntEnum):
    JOB_STARTED = auto()
    JOB_COMPLETED = auto()
    JOB_SPOOLED = auto()
    JOB_ABORTED = auto()
    JOB_FAILED = auto()
    JOB_SPOOLING_FAILED = auto()
